shibboleth-3.5.0

Public Member Functions | List of all members
shibsp::PropertySet Class Referenceabstract

Interface to a generic set of typed properties or a DOM container of additional data. More...

`#include <shibsp/util/PropertySet.h>`

Inheritance diagram for shibsp::PropertySet:

## Public Member Functions
virtual const PropertySet * | getParent () const =0
| Returns parent of this PropertySet, if any. More...
virtual void | setParent (const PropertySet *parent)=0
| Establishes a "parent" PropertySet to supply inherited settings. More...
virtual std::pair< bool, bool > | getBool (const char *name, const char *ns=nullptr) const =0
| Returns a boolean-valued property. More...
virtual std::pair< bool, const char * > | getString (const char *name, const char *ns=nullptr) const =0
| Returns a string-valued property. More...
virtual std::pair< bool, const XMLCh * > | getXMLString (const char *name, const char *ns=nullptr) const =0
| Returns a Unicode string-valued property. More...
virtual std::pair< bool, unsigned int > | getUnsignedInt (const char *name, const char *ns=nullptr) const =0
| Returns an unsigned integer-valued property. More...
virtual std::pair< bool, int > | getInt (const char *name, const char *ns=nullptr) const =0
| Returns an integer-valued property. More...
virtual const PropertySet * | getPropertySet (const char *name, const char *ns=shibspconstants::ASCII_SHIBSPCONFIG_NS) const =0
| Returns a nested property set. More...
virtual const xercesc::DOMElement * | getElement () const =0
| Returns a DOM element representing the property container, if any. More...

## Detailed Description

Interface to a generic set of typed properties or a DOM container of additional data.

## Member Function Documentation

## ◆ getBool()

virtual std::pair< bool, bool > shibsp::PropertySet::getBool | ( | const char * | name,
|  | const char * | ns = `nullptr`
| ) |  | const
| pure virtual

Returns a boolean-valued property.

Parameters

  name | property name
  ns | property namespace, or nullptr

Returns
  a pair consisting of a nullptr indicator and the property value iff the indicator is true

Implemented in shibsp::AbstractHandler, shibsp::XMLConfig, and shibsp::DOMPropertySet.

## ◆ getElement()

virtual const xercesc::DOMElement * shibsp::PropertySet::getElement | ( |  | ) | const
| pure virtual

Returns a DOM element representing the property container, if any.

Returns
  a DOM element, or nullptr

Implemented in shibsp::XMLConfig, and shibsp::DOMPropertySet.

## ◆ getInt()

virtual std::pair< bool, int > shibsp::PropertySet::getInt | ( | const char * | name,
|  | const char * | ns = `nullptr`
| ) |  | const
| pure virtual

Returns an integer-valued property.

Parameters

  name | property name
  ns | property namespace, or nullptr

Returns
  a pair consisting of a nullptr indicator and the property value iff the indicator is true

Implemented in shibsp::AbstractHandler, shibsp::XMLConfig, and shibsp::DOMPropertySet.

## ◆ getParent()

virtual const PropertySet * shibsp::PropertySet::getParent | ( |  | ) | const
| pure virtual

Returns parent of this PropertySet, if any.

Returns
  the parent object, or nullptr

Implemented in shibsp::XMLConfig, and shibsp::DOMPropertySet.

## ◆ getPropertySet()

virtual const PropertySet * shibsp::PropertySet::getPropertySet | ( | const char * | name,
|  | const char * | ns = `shibspconstants::ASCII_SHIBSPCONFIG_NS`
| ) |  | const
| pure virtual

Returns a nested property set.

Parameters

  name | nested property set name
  ns | nested property set namespace, or nullptr

Returns
  the nested property set, or nullptr

Implemented in shibsp::XMLConfig, and shibsp::DOMPropertySet.

## ◆ getString()

virtual std::pair< bool, const char * > shibsp::PropertySet::getString | ( | const char * | name,
|  | const char * | ns = `nullptr`
| ) |  | const
| pure virtual

Returns a string-valued property.

Parameters

  name | property name
  ns | property namespace, or nullptr

Returns
  a pair consisting of a nullptr indicator and the property value iff the indicator is true

Implemented in shibsp::AbstractHandler, shibsp::XMLApplication, shibsp::XMLConfig, and shibsp::DOMPropertySet.

## ◆ getUnsignedInt()

virtual std::pair< bool, unsigned int > shibsp::PropertySet::getUnsignedInt | ( | const char * | name,
|  | const char * | ns = `nullptr`
| ) |  | const
| pure virtual

Returns an unsigned integer-valued property.

Parameters

  name | property name
  ns | property namespace, or nullptr

Returns
  a pair consisting of a nullptr indicator and the property value iff the indicator is true

Implemented in shibsp::AbstractHandler, shibsp::XMLConfig, and shibsp::DOMPropertySet.

## ◆ getXMLString()

virtual std::pair< bool, const XMLCh * > shibsp::PropertySet::getXMLString | ( | const char * | name,
|  | const char * | ns = `nullptr`
| ) |  | const
| pure virtual

Returns a Unicode string-valued property.

Parameters

  name | property name
  ns | property namespace, or nullptr

Returns
  a pair consisting of a nullptr indicator and the property value iff the indicator is true

Implemented in shibsp::XMLApplication, shibsp::XMLConfig, and shibsp::DOMPropertySet.

## ◆ setParent()

virtual void shibsp::PropertySet::setParent | ( | const PropertySet * | parent | ) |
| pure virtual

Establishes a "parent" PropertySet to supply inherited settings.

Parameters

  parent | the parent PropertySet to use

Implemented in shibsp::XMLConfig, and shibsp::DOMPropertySet.

The documentation for this class was generated from the following file:

- shibsp/util/PropertySet.h